当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : Ubuntu下成功安装MiniGUI
帖子发表于 : 2009-03-13 19:32 

注册: 2008-10-03 15:44
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
转载:http://blog.csdn.net/renjwjx/archive/2009/01/09/3742018.aspx

其中做了一些自己的注释,按照下面的步骤,己发装成功

1.在WWW.MINIGUI.COM 下载

minigui-procs-dev_2.0.4Ubuntu7.10_i386.deb。

顺便下载其它两个示例包。(这两个软件包可以选择其中一个下载,另外,在网页上好像找不到第一个软件包,可以下载 mde-2.0.3.tar.gz)

samples-1.6.10.tar.gz

mg-samples-1.6.10.tar.gz

然后双击DEB包安装完后!
确保已经将/usr/local/lib目录添加到/etc/ld.so.conf文件中,运行 ldconfig命令刷新系统的共享库搜索缓存:
$ sudo ldconfig
这一步是在别的说明文档中提到的一个命令

2.在终端上运行qvfb,会提示没有安装qt, 按照所给的提示安装完后就可以启动qvfb了。

sudo apt-get install qt3-dev-tools-embedded

在Ubuntu下可以直接安装



2.在默认的安装下,MINIGUI是支持JPEG的,可是C库缺少这个,曾经为装这个库文件花了挺长时间,其实最简单的,打开新立得管理软件

sudo apt-get install libjpeg-dev .

然后设置如下(下列设置方法在命令行上直接进行,在有些安装说明中要求修改MiniGUI.cfg 在README方档中己说明2.0版本的GUI是没有该文件的,)

export gal_engine=qvfb
export defaultmode=640x480-16bpp
export ial_engine=qvfb


3. 默认的安装上ubuntu上是没有libpopt的,所以我们要安装它。(不知有何用,但是还是装上的好)

sudo apt-get install libpopt-dev

网上的很多教程都没提到这个,导致我摸索了好多天才搞定。



4.解压之前下载的其中一个示例包,比如mg-samples-1.6.10(最好新建一个目录)

进去目录


先运行

$qvfb -width 640 -height 480 & (后面的参数设置应该与你前面的设置相同,否则会出错:

再运行

cd src

./mginit & (如果没有运行这一步,系统会自动提醒,&符号不能省略)

./button

则关于button的button的例子就运行出来了。

如果有权限问题,请去设置configure的运行权限。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: Ubuntu下成功安装MiniGUI
帖子发表于 : 2009-03-31 14:58 

注册: 2009-03-31 14:50
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
这种方法或者说minigui-procs-dev_2.0.4Ubuntu7.10_i386.deb 能否适用于ununtu8。04版???????????????


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译